import { OnChanges, EventEmitter, OnInit } from '@angular/core';
import { Configs } from './models/Configs.model';
import { AngularTreeGridService } from './angular-tree-grid.service';
import { Column } from './models/Column.model';
import { Store } from './store/store';
export declare class AngularTreeGridComponent implements OnChanges, OnInit {
    private angularTreeGridService;
    processed_data: any[];
    expand_tracker: Object;
    columns: Column[];
    edit_tracker: Object;
    internal_configs: any;
    store: Store;
    data: any[];
    configs: Configs;
    default_configs: Configs;
    default_column_config: Column;
    cellclick: EventEmitter<any>;
    expand: EventEmitter<any>;
    collapse: EventEmitter<any>;
    rowselect: EventEmitter<any>;
    rowadd: EventEmitter<any>;
    rowsave: EventEmitter<any>;
    rowdelete: EventEmitter<any>;
    constructor(angularTreeGridService: AngularTreeGridService);
    ngOnInit(): void;
    ngOnChanges(): void;
    validateConfigs(): boolean;
    setDefaultConfigs(): void;
    setColumnNames(): void;
}
