import { OnInit, EventEmitter } from '@angular/core';
import { Configs } from '../../models/Configs.model';
import { Column } from '../../models/Column.model';
import { AngularTreeGridService } from '../../angular-tree-grid.service';
import { Store } from '../../store/store';
export declare class TreeBodyComponent implements OnInit {
    private angularTreeGridService;
    parents: Object[];
    raw_data: any[];
    display_data: any[];
    store: Store;
    configs: Configs;
    expand_tracker: Object;
    edit_tracker: Object;
    internal_configs: any;
    columns: Column[];
    cellclick: EventEmitter<any>;
    expand: EventEmitter<any>;
    collapse: EventEmitter<any>;
    rowdelete: EventEmitter<any>;
    rowsave: EventEmitter<any>;
    rowadd: EventEmitter<any>;
    rowselect: EventEmitter<any>;
    constructor(angularTreeGridService: AngularTreeGridService);
    ngOnInit(): void;
    refreshData(element: any): void;
    onRowExpand(event: any): void;
    onRowCollapse(event: any): void;
    saveRecord($event: any): void;
    addRow(element: any): void;
    cancelEdit(index: any): void;
    rowSelect(row_data: any, event: any): void;
}
